%define version 0.5.7

Summary: Advanced Linux Sound Architecture (ALSA) lib 
Name: alsa-lib
Version: %{version}
Release: 4mdk
Source: %{name}-%{version}.tar.bz2
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Group: System/Kernel and hardware
Prefix: %{_prefix}
Requires: kernel >= 2.2.15

%description
Advanced Linux Sound Architecture (ALSA) libs. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

%package devel
Summary: Devel file for Advanced Linux Sound Architecture (ALSA) librairie.
Copyright: GPL
Group: Development/C

%description devel
Advanced Linux Sound Architecture (ALSA) libs. Modularized architecture with
support for a large range of ISA and PCI cards. Fully compatible with OSS/Lite
(kernel sound drivers), but contains many enhanced features.

This is the devel file to compile alsa applications.

%prep
%setup -q

%build
%configure
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT%{prefix}/include/sys
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib
make prefix="$RPM_BUILD_ROOT%{prefix}" install

(cd $RPM_BUILD_ROOT%{prefix}/lib;	\
mv libasound-%{version}.so libasound.so.%{version};	\
ln -s libasound.so.%{version} libasound.so.0;	\
ldconfig -n .;	\
)


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc COPYING ChangeLog INSTALL
%{prefix}/lib/*.so.*

%files devel
%defattr(-,root,root)
%{prefix}/include/sys/asoundlib.h
%{prefix}/share/aclocal/alsa.m4
%{prefix}/lib/*.a
%{prefix}/lib/*.la

%changelog
* Sun Apr 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.7-4mdk
- Clean up various titi-sucks.
- 0.5.7.
- Split lib and devel package.

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.5-3mdk
- fixed group

* Thu Mar 09 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>

- add requires on alsa since Lord DrkChm has splitten it again from kernel

* Thu Mar 09 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>

- make the alsa-lib package again, hoping Lord DarkChmou won't want to move it
  betwenn contrib and main cd and loose it again :-)
- update to alsa-lib-0.5.5


* Thu Dec 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>

- build release for Oxygen as lord Chmou request
- removed from contrib
- alter requires from alsa-driver to kernel as Lord Chmou integrate it into the
  mainstream kernel
- Updated to 0.4.1e

* Mon Aug 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
  - initial release
